MODULE derivative_methods 

   !!======================================================================
   !!                   ***  MODULE calc_gradient  ***
   !!
   !! ** Description :

   !!      !!======================================================================
   !! * Modules used
   USE parameters

   USE comvars2d,  ONLY : dx, dy, dx_u, dx_v, dy_u, dy_v, dx_f, dy_f

   USE comcolig2d, ONLY : mn, ms, me, mo, whx, why               !

   USE comvars2d,  ONLY : dt,halfdt,tobs,dtmin,t,tdebobs,dtmax,iscreen
 
   IMPLICIT NONE

   CONTAINS

#include        "laplace.h"

#include        "forward_deriv.h"

#include        "backward_deriv.h"

#include        "centered_deriv.h"

#include        "upwind_deriv.h"

#include        "quick_deriv.h"

#include        "quickest_deriv.h"

END MODULE derivative_methods
