!********************************************************************
!
      subroutine uz_en_xe(uz,uz_xe,i,j)
!
!********************************************************************
!
!     objet    : calcul de uz aux points de calcul xe de la grille C
!                par interpolation des 2 voisins.
!
!
!     appelant         : cfouzexp
!                      :
!     appeles          :
!                      :
!     canal d ecriture :
!                      :
!     canal de lecture :
!                      :
!     cle cpp          :
!                      :
!     variables in     : uz, igd
!                      :
!     variables out    : uz_xe
!                      :
!     variables inout  :
!                      :
!     dernieres modifs : 21/03/2006
!                      :
!***********************************************************
!
USE parameters
use comvars2d
use comcolig2d
use comcolig3d
implicit none
!
integer,intent(in)                                 :: i,j
real(kind=rsh),dimension(1:kmax),intent(out) :: uz_xe
real(kind=rsh),dimension(1:kmax,imin:imax,jmin:jmax),intent(in) :: uz
!************************************************************
!     Executable statements
!************************************************************
!

!cval  if(igd(i,j) == 1) uz_xe(:)=0.5*(uz(:,i,j)+uz(:,i-1,j))
!cval test sur igd ou igdu bizarre
  if(igdu(i,j) == 1) uz_xe(:)=0.5*(uz(:,i,j)+uz(:,i-1,j))
  uz_xe(:)=0.5*(uz(:,i,j)+uz(:,i-1,j))

!

end subroutine uz_en_xe
