 MODULE comaree

   !!======================================================================
   !!                   ***  MODULE comaree  ***
   !! 
   !!======================================================================

#include "toolcpp.h"

   !! * Modules used
   USE parameters

   IMPLICIT NONE

   !! * Accessibility

   !! * Shared or public module variables

   !! * Private variables
   LOGICAL               :: l_genpot,l_tide_M2harm,l_tide_M2statcoef,l_tide_admittance,l_tide_harmcompo
   CHARACTER(len=lchain) :: file_tide_M2coef,file_tide_harmcp
   INTEGER               :: tide_nbharmcp
   REAL(kind=rsh)        :: tide_M2coef
   REAL(kind=rsh),DIMENSION(:,:),ALLOCATABLE:: potgene
   REAL(kind=rlg)        :: tdecalpm

 CONTAINS

   !!======================================================================

  SUBROUTINE alloc_comaree

   !&E---------------------------------------------------------------------
   !&E                 ***  ROUTINE alloc_comaree  ***
   !&E
   !&E---------------------------------------------------------------------
   !! * Modules used

   !!----------------------------------------------------------------------
   !! * Executable part

   IF_NOAGRIF (ALLOCATED(potgene)) PRINT*,"error: comaree allocated"
   ALLOCATE(potgene(limin:limaxp1,ljmin:ljmaxp1) )

  END SUBROUTINE alloc_comaree

   !!======================================================================

  SUBROUTINE dealloc_comaree

   !&E---------------------------------------------------------------------
   !&E                 ***  ROUTINE dealloc_comaree  ***
   !&E
   !&E---------------------------------------------------------------------
   !! * Modules used
   !!----------------------------------------------------------------------
   !! * Executable part

   DEALLOCATE(potgene)

  END SUBROUTINE dealloc_comaree

 END MODULE comaree
